Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.servlet.view
[Java] Class NullView

    java.lang.Object
      org.codehaus.groovy.grails.web.servlet.view.NullView

All Implemented Interfaces:
  View

    public class NullView

A view that does nothing.

Authors:
  Graeme Rocher

Since:
  1.0

Constructor Summary
`NullView(java.lang.String contentType)`

Method Summary
`java.lang.String` | `getContentType()`
`void` | `render(java.util.Map model, HttpServletRequest request, HttpServletResponse response)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### NullView

    public NullView(java.lang.String contentType)

Method Detail

### getContentType

    public java.lang.String getContentType()

### render

    @SuppressWarnings("rawtypes")
    public void render(java.util.Map model, HttpServletRequest request, HttpServletResponse response)

Groovy Documentation